## aesfix 1.0.1

=== Makefile ===
CXXFLAGS= -Wall -O4 -funroll-loops
OBJS= aesfix.o errvect.o

all: aesfix

aesfix: $(OBJS)
	$(CXX) -o aesfix $(OBJS)

clean:
	@rm -f aesfix *~ \#* $(OBJS)

=== debian/changelog ===
aesfix (1.0.1-8) unstable; urgency=medium

  [ Samuel Henrique ]
  * Re-import upstream tarball, this time with its signature
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * Add debian/gbp.conf

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

 -- Samuel Henrique <samueloph@debian.org>  Sat, 30 Jan 2021 21:21:28 +0000

aesfix (1.0.1-7) unstable; urgency=medium

  * Bump DH level to 12
  * Update Standards-Version to 4.4.1
  * Add salsa-ci.yml
  * Change my email address to the debian one
  * Update upstream url
  * d/control: Add Rules-Requires-Root: no
  * d/changelog: Remove trailing whitespaces
  * d/upstream/signing-key.asc: Remove signatures of key

 -- Samuel Henrique <samueloph@debian.org>  Sun, 24 Nov 2019 22:02:30 +0000

aesfix (1.0.1-6) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
  * d/control: add myself as an uploader
  * Bump Standards-Version to 4.0.1
  * d/copyright: add myself to copyright

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Bump Standards-Version to 4.2.0.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 27 Aug 2018 22:10:41 +0200

aesfix (1.0.1-5) unstable; urgency=medium

  * Team upload.
  * Bumped DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Removed a MIA uploader (solves a special case pointed by QA team).
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/add-hardening: renamed to 10_add-hardening.patch.
  * debian/watch:
      - Bumped to version 4.
      - Removed an extra source to avoid conflicts with uscan and updated
        the current rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 01 Jan 2017 22:11:13 -0200

aesfix (1.0.1-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 16 Jun 2015 23:13:09 -0300

aesfix (1.0.1-3) experimental; urgency=medium

  * Team upload.
  * Updated the DH level to 9.
  * debian/control:
      - Added the 'forensics' word to long description.
      - Bumped Standards-version to 3.9.6.
      - Changed from aeskeyfinder to aeskeyfind in Recommends field and long
        description. Thanks to Christoph Anton Mitterer <calestyo@scientia.net>.
        (Closes: #713931)
      - Updated the Homepage field.
      - Updated the VCS fields.
  * debian/copyright:
      - Moved the licenses text to end of file.
      - Updated the packaging copyright dates and names.
      - Updated the text of the GPL-2 license.
      - Updated the upstream homepage address.
  * debian/upstream/signing-key.asc: added to allow the GPG signature check by
      uscan.
  * debian/rules: added the DEB_BUILD_MAINT_OPTIONS variable to fix the issues
      pointed by blhc.
  * debian/watch:
      - Added a check to GPG signature.
      - Added a second way to search for files.
      - Improved the regex rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 23 Feb 2015 07:57:57 -0300

aesfix (1.0.1-2) unstable; urgency=low

  * Team upload.

  [ Daniel Baumann ]
  * Prefixing debhelper files with package name.
  * Rewriting copyright file in machine-interpretable form.
  * Tidy rules file.
  * Adding lintian overrides.
  * Using debhelper install file rather than adding install target in upstream
    Makefile.
  * Removing now useless dirs debhelper file.
  * Minimizing rules file.

  [ Julien Valroff ]
  * Bump debhelper compat to 8
  * Bump standards version to 3.9.2 (no changes needed)
  * Switch to 3.0 (quilt) source package format
  * Fix VCS-* fields
  * Add watch file
  * Move to `utils' section as per the override
  * Complete long description
  * Add samples to the package
  * Remove useless lintian override: use Team Upload changelog entry
  * Recommends aeskeyfinder as suggested by the documentation
  * Update copyright file as per current DEP-5

 -- Julien Valroff <julien@debian.org>  Sat, 23 Jul 2011 13:56:09 +0200

aesfix (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #495419)
  * Adjusted the Makefile to add $DESTDIR
  * Added a man page.

 -- Jacob Appelbaum <jacob@appelbaum.net>  Sun, 17 Aug 2008 21:02:09 -0300

=== debian/control ===
Source: aesfix
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://citp.princeton.edu/our-work/memory/code/
Vcs-Browser: https://salsa.debian.org/pkg-security-team/aesfix
Vcs-Git: https://salsa.debian.org/pkg-security-team/aesfix.git

Package: aesfix
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: aeskeyfind
Description: tool for correcting bit errors in an AES key schedule
 This program illustrates a technique for correcting bit errors in an AES
 key schedule. It should be used with the output of the aeskeyfind program.
 .
 It is limited to AES-128 key schedules, and it can only correct unidirectional
 1->0 bit errors.  For the most part it has been optimized for readability
 rather than performance.
 .
 This package is useful to several activities, as forensics investigations.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://citp.princeton.edu/our-work/memory/code .*/aesfix-(\d\S+)\.tar\.(?:bz2|gz|xz)
